/**
 * Created on 26 Jan 2009
 */
package pl.psnc.expres.remote.correlation;

import pl.psnc.expres.remote.correlation.value.CorrelationNotification;

/**
 * {@link ICorrelationJobNotification} interface - should be implemented by
 * everyone interested in receiving notifications from Correlation Node
 * 
 * @author <a href="mailto:osa@man.poznan.pl">Dominik Stoklosa (~osa~)</a>
 * @email osa@man.poznan.pl
 * 
 */
public interface ICorrelationJobNotification {

	/**
	 * Notifies all listeners about new correlation event
	 * 
	 * @param correlationNotification correlation event, instance of
	 *        {@link CorrelationNotification}
	 */
	public void update(CorrelationNotification correlationNotification);
}
