/**
 * Created on Sep 3, 2008
 */
package pl.psnc.expres.remote.network;

/**
 * {@link IVlbiBrokerInfo} interface - vlbi broker interface provides
 * information about Vlbi Broker itself, as well as fabric testbed.
 * 
 * @author <a href="mailto:osa@man.poznan.pl">Dominik Stoklosa (~osa~)</a>
 * @email osa@man.poznan.pl
 * 
 */
public interface IVlbiBrokerInfo {

	/**
	 * Returns list of translation nodes (TN). All TNs are encoded in JSON
	 * format.
	 * 
	 * @return list of translation nodes in JSON format.
	 */
	public String getTranslationNodeList();

	/**
	 * Returns list of file servers (FS). All FSes are encoded in JSON format.
	 * 
	 * @return list of file servers in JSON format.
	 */
	public String getFileServerList();

}