/**
 * Decorator.java
 * Created on Nov 9, 2007, 1:34:04 PM
 */
package pl.psnc.graph.model.type;

/**
 * {@link IResourceTypeDecorator} interface - provides type additional
 * information
 * 
 * @author <a href="mailto:osa@man.poznan.pl">Dominik Stoklosa (~osa~)</a>
 * @email osa@man.poznan.pl
 */
public interface IResourceTypeDecorator {

	/**
	 * Get the icon path for the given type
	 * @return the icon path for the given type
	 */
	public String getIcon();

	/**
	 * Get the image path for the given type
	 * @return the image path for the given type
	 */
	public String getImage();
}
