/*
 * ColorKeys.java
 *
 * Created on January 19, 2006, 1:36 PM
 *
 */

package pl.psnc.vlab.util.swing.gui;

import java.awt.Color;

/**
 * The class contains the color constants
 * @author @author <a href="mailto:osa@man.poznan.pl">Dominik Stoklosa (~osa~)</a>
 * @email osa@man.poznan.pl
 */
public abstract class ColorKeys {
    
    //colors
    /** LIght blue*/
    public static final Color COLOR_LIGT_BLUE = new Color(204, 204, 255);
    
    /** LIght light orange*/
    public static final Color COLOR_LIGT_ORANGE = new Color(255, 223, 175);
    
    /** Modified ;Error */
    public static final Color COLOR_LIGHT_RED = new Color(247,193,187);
    
    /** Selected gray */
    public static final Color COLOR_SELECTED_LIGHT_GRAY = new Color(204,204,204);
    
    /** Added;new */
    public static final Color COLOR_ADDED_LIGHT_GREEN = new Color(202,246,202);
    
    /** Error & selected */
    public static final Color COLOR_SELECTED_ERROR = new Color(198,165,162);
    
    /** Defines a gradient color: light gray and white */
    public static final Color[] GRADIENT_LIGHT_GRAY_AND_WHITE  = new Color[] {Color.LIGHT_GRAY, Color.white};
    
    /** Defines a gradient color: white and light gray */
    public static final Color[] GRADIENT_WHITE_AND_LIGHT_GRAY  = new Color[] {Color.white, new Color(203, 201, 188)};
    
    
    
    /** Defines a gradient color: default pane header gradient */
    public static final Color[] GRADIENT_PANE_HEADER = new Color[] {Color.white, Color.LIGHT_GRAY};
    
}
