package pl.psnc.expres.wfm.util.i18n.helper;

/**
 * Abstract interface, which defines i18n messages (messages.properties)
 * 
 * @author
 * 
 */
public interface MessageKeys {

	// ----------------------------------------------------------------
	// ------- General Messages

	/** Please wait message */
	public static final String PLEASE_WAIT = "message.wait";

	/** Generic message for validating component */
	public static final String GUI_SELECTION_WARNING = "gui.selection.change.warning";

	/** Generic message for missing component value */
	public static final String GUI_COMP_VALUE_MISSING = "gui.value.required";

	/** Generic message for missing component selection value (JTable, JCombo) */
	public static final String GUI_COMP_SELECTION_MISSING = "gui.selection.required";

	/** Generic message for validating component */
	public static final String GUI_VALIDATING_COMP = "gui.validating.component";

	/** GUI: Validating user credentials */
	public static final String GUI_VALIDATING_USER = "gui.check.credentials";

	/** GUI: Successful Validation */
	public static final String GUI_VALIDATIION_OK = "gui.check.credentials.ok";

	/** GUI: Article type is no selected */
	public static final String GUI_ARTICLE_TYPE_REQUIRED = "gui.article.type.required";

	/** GUI: Article type is no selected */
	public static final String GUI_ARTICLE_REFERENCE_REQUIRED = "gui.article.reference.required";

	// ----------------------------------------------------------------
	// ------- Open VEX File

	/** Open Vex file - action performed -> please wait */
	public static final String OPEN_VEX_IN_PROGRESS = "open.vex.in.progress";

	/** Open Vex file - load radio telescpoes form ccf value */
	public static final String OPEN_VEX_LOAD_RADIO_TELESCOPES = "open.vex.load.radio.telescopes";

	/** Open Vex file - action finished */
	public static final String OPEN_VEX_DONE = "open.vex.done";

	// ----------------------------------------------------------------
	// ------- Submit VLBI scenario

	/** Introduce Articles - action performed -> please wait */
	public static final String SUBMIT_SCENARIO_IN_PROGRESS = "submit.scenarion.in.progress";
	
	/** Introduce Articles - action performed -> please wait */
	public static final String SUBMIT_SCENARIO_OK = "submit.scenarion.action.performed";

}
